Request method is HTTP GET.
URL Structure
https://api.webz.io/filterWebContent?token=xxxxx-xxxx-xxxxx&format=json&q=[QUERY]
HTTP GET Parameters
| Parameter | Description | Example |
|---|---|---|
| q | A Boolean query containing the filters that define which posts will be returned. | Find any post containing either ipod or ipad, but not android: (ipod OR ipad) -android |
| token | Your private access token that you received when you signed up. | |
| sort | When the sort parameter isn’t specified, the results are sorted by default in the recommended order of crawl date. relevancy | &sort=relevancy |
| order | If you choose to order the posts by any of the above sort types, you can choose the sort order: Ascending - asc (default) | &sort=rating&order=desc |
| from | A paging parameter applicable for sort types other than crawl date. | &from=100 |
| ts | The ts (timestamp) parameter returns results that were crawled after this timestamp (ts is a Unix timestamp in milliseconds).
| &ts=1459835503426 |
| allowNewsHistory | The allowNewsHistory parameter enable receiving results over 30 days and up to 1 year - depend on the ts value used. This is a Premium feature. This means that extra credits are deducted from the total API calls.
| &allowNewsHistory=true |
| format | The output format of the results set. It can be one of: json (default) | &format=xml |
| size | The number of posts returned per request. sizemay be between 1 and 100 (default is 100). | &size=2 Will return 2 posts |
| highlight | Return the fragments in the post that match the textual Boolean query. The matched keywords will be surrounded by tags. | &highlight=true |
| latest | Return the latest 100 crawled posts matching your query. *Use of this feature is*NOTrecommended as it may result in loss of important posts. | &latest=true |
| warning | Warnings can arise from a malformed query parameter included in your code. If set to true, then warning message details are included in the response under the warnings object. The warning includes: The message, its type and level. By default warnings are disabled. | &warning=true |
| webz_reporter | The webz_reporter parameter is an optional Boolean flag. By default, this parameter is set to False, meaning that the API will not include results from the WebzReporter feature. When webz_reporter is set to True, the system will return results that include online news articles that are generated based on factual information extracted from selected news websites using advanced Language Model (LLM) technology. | &webz_reporter=true |
| includeSyndicated | includeSyndicated is a GET parameter that controls whether syndicated or duplicate content is returned. When set to true, the response may include posts that are identical or very similar to each other. When set to false, duplicate and near-duplicate content is filtered out, so only unique posts are returned. |
